package org.kldp.jmassmailer.ui;

import java.util.Properties;

import javax.mail.AuthenticationFailedException;
import javax.mail.Authenticator;
import javax.mail.MessagingException;
import javax.mail.NoSuchProviderException;
import javax.mail.internet.AddressException;

import org.kldp.jmassmailer.data.PeopleList;

public interface SessionControllerInterface {
	public void setPeopleList(PeopleList people);
	public void setMessage(String subject, String text);
	public void setReplyTo(String replyto) throws AddressException;
	public void setFrom(String from) throws AddressException;
	public void setFrom(String email, String name) throws AddressException;
	public void sendMessages() throws NoSuchProviderException, AuthenticationFailedException, MessagingException;
}
