package test;

import java.util.HashSet;
import java.util.Iterator;

import org.kldp.jmassmailer.data.PeopleList;
import org.kldp.jmassmailer.data.Person;
import junit.framework.TestCase;

public class TestPeopleList extends TestCase {
	PeopleList plist;
	
	protected void setUp() throws Exception {
		super.setUp();
		Person person1 = new Person("", "toracle@gmail.com", Person.MAIL);
		Person person2 = new Person("2", "toracle@freechal.com", Person.FEMAIL);
		Person person3 = new Person("3", "toracle@yonsei.ac.kr", Person.MAIL);
		HashSet set = new HashSet();
		set.add(person1);
		set.add(person2);
		set.add(person3);
		plist = new PeopleList(set);
	}

	protected void tearDown() throws Exception {
		super.tearDown();
	}

	public void testFindPerson(){
		Iterator i = plist.iterator();
		boolean flag = false;
		
		for(Person p = (Person)i.next(); i.hasNext(); p = (Person)i.next()){
			if(p.getName().equals("2"))
				flag = true;
		}
		
		assertEquals(flag, true);
	}
}
